source("abun.R")
dat=read.table("data.txt")
dat=as.matrix(dat)
x=dat[, 1]
d=dat[, -1]


###Fit M_th model with q(x)=(1,x)###
xmat=x
gabun(xmat, d)

###Fit M_th model with q(x)=(1,x,x^2)###
xmat=cbind(x,x^2)
gabun(xmat, d)


###Fit M_h model with q(x)=(1,x)###
ds=apply(d, 1, sum)
k=ncol(d)
xmat=x
sabun(xmat, ds, k)


###Fit M_h model with q(x)=(1,x,x^2)###
ds=apply(d, 1, sum)
k=ncol(d)
xmat=cbind(x,x^2)
sabun(xmat, ds, k)

